Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[old x86] télémaintenance ssh pour petits besoins (famille)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
pti-rem
Guru
Guru


Joined: 14 Oct 2011
Posts: 309
Location: Aquitaine FRANCE

PostPosted: Mon May 18, 2015 2:24 pm    Post subject: [old x86] télémaintenance ssh pour petits besoins (famille) Reply with quote

Bonjour,

Je reprends à distance une antique machine x86 ;
Code:
gen2 ~ # uname -a
Linux gen2 3.12.21-gentoo-r1 #14 Sun Aug 10 11:57:23 CEST 2014 i686 AMD Athlon(tm) XP 3200+ AuthenticAMD GNU/Linux

le lscpu
le cat /proc/cpuinfo (pas de sse2)
le lspci
le lsusb
le dmesg

le make.conf
le cat /etc/portage/package.use/*
le /etc/portage/package.keywords
le cat /etc/portage/package.mask/*

Là j'ai un souci : j'ai eu à mettre dans package.keywords :
Code:
# required by perl-core/IO:0 (argument)
=perl-core/IO-1.25-r1 **
# required by virtual/perl-CPAN-Meta-2.143.240::gentoo
# required by perl-core/ExtUtils-MakeMaker-7.40.0-r1::gentoo
# required by perl-core/ExtUtils-MakeMaker:0 (argument)
=perl-core/CPAN-Meta-2.143.240 ~x86
# required by perl-core/Module-Build-0.420.500::gentoo
# required by virtual/perl-Module-Build-0.420.500-r1::gentoo
# required by dev-perl/Error-0.170.210::gentoo
# required by dev-vcs/git-2.3.6::gentoo[perl]
# required by dev-vcs/git:0 (argument)
=virtual/perl-CPAN-Meta-2.143.240 ~x86
# required by perl-core/ExtUtils-CBuilder:0 (argument)
=perl-core/ExtUtils-CBuilder-0.280.210 ~x86
# required by perl-core/Storable:0 (argument)
=perl-core/Storable-2.450.0-r1 ~x86
# required by perl-core/ExtUtils-MakeMaker:0 (argument)
=perl-core/ExtUtils-MakeMaker-7.40.0-r1 ~x86
# required by perl-core/Module-CoreList:0 (argument)
=perl-core/Module-CoreList-5.201.502.140 ~x86
# required by perl-core/IPC-Cmd:0 (argument)
=perl-core/IPC-Cmd-0.840.0 ~x86
# required by perl-core/ExtUtils-MakeMaker-7.40.0-r1::gentoo
# required by perl-core/ExtUtils-MakeMaker:0 (argument)
=virtual/perl-ExtUtils-Manifest-1.700.0 ~x86
# required by perl-core/version:0 (argument)
=perl-core/version-0.990.800 ~x86
# required by perl-core/Encode:0 (argument)
=perl-core/Encode-2.550.0 ~x86
# required by virtual/perl-ExtUtils-Manifest-1.700.0::gentoo
# required by perl-core/ExtUtils-MakeMaker-7.40.0-r1::gentoo
# required by perl-core/ExtUtils-MakeMaker:0 (argument)
=perl-core/ExtUtils-Manifest-1.700.0 ~x86

Je m'aperçois que ces modules ne sont pas en version stable et que j'ai peut-être fait une erreur en acceptant cette demande d'insertion.

Puis-je remettre les modules de perl-5.20.2 en version stable sans m'empêtrer dans les dépendances ?

Est-ce nécessaire ?

J'ai choisi firefox-bin et libreoffice-bin pour épargner du temps de compilation

Je ne sais pas si après cette mise à jour globale qui remonte à septembre 2014 je peux garder le noyau actuel (3.12.21-gentoo-r1) ou alors si il est préférable que je compile celui proposé par portage (gentoo-sources-3.18.12) avec le .config existant.

Je ne dois pas perdre le contrôle sur cette machine ni la planter

Merci de bien vouloir m'aider pour ce sujet propre à une ancienne machine x86
L'objectif étant d'alléger au maximum la charge CPU résiduelle pour que le simple usage de Firefox soit rapide. Et pour que la machine soit stable.
Il y a pas mal de trucs en excédent et des drapeaux mal placés ou inutiles.
J'aurai à faire fonctionner une imprimante ultérieurement.
http://gentoovps.net/gentoo-updating-old-system/ peut sembler utile.


Last edited by pti-rem on Sun May 24, 2015 4:42 am; edited 2 times in total
Back to top
View user's profile Send private message
sebB
l33t
l33t


Joined: 02 Mar 2011
Posts: 739
Location: S.O. France

PostPosted: Mon May 18, 2015 6:10 pm    Post subject: Reply with quote

Je pense que tu vas être confronté à beaucoup de conflits entre paquets.(Perl, Python,...)

J''étais tombé sur un article ou le mec fournissait justement tous les anciens snapshot afin de faire cette upgrade en douceur.
http://blog.siphos.be/2015/01/old-gentoo-system-not-a-problem/
Malheureusement le lien vers les snapshot ne fonctionne plus.

Finalement je suis tombé la dessus
http://mexmat.sgu.ru/soft/Linux/distributions/gentoo/portage/

Je commencerais par les snapshot mois par mois (tu peux commencer avec celui du 01/09/2014, ensuite 01/10/2014 par ex), puis si tu as trop de conflits tu passe par quinzaine sans oublier de lire les news...

Mais surtout avant de faire quoi que ce soit fais une sauvegarde si ce n'est déjà fait.
Back to top
View user's profile Send private message
kwenspc
Advocate
Advocate


Joined: 21 Sep 2003
Posts: 4954

PostPosted: Mon May 18, 2015 6:21 pm    Post subject: Reply with quote

Mais c'est rien du tout ça comme conflit, et septembre 2014 c'est hier!

Pour ton soucis de paquet perl, essais de savoir quels paquets génère ces dépendances (emerge -pvDuNt world)
Dans tous les cas, il y a eu une mise à jour "récemment" (y a 3 mois?) de perl, et ça déconnait sec avec certains paquets perl.
La seule solution que j'ai trouvé sur le moment c'est de désinstaller les bloquants et à un moment tout est passé.
Sinon quelques ~x86 ça n'a jamais mis un système en péril. J'en avais peu après (perl, quand je peux éviter j'évite).

Pour ton kernel, passe au 3.18. (Et passe à systemd aussi par la même occasion si t'en as envie)
Back to top
View user's profile Send private message
pti-rem
Guru
Guru


Joined: 14 Oct 2011
Posts: 309
Location: Aquitaine FRANCE

PostPosted: Tue May 19, 2015 9:43 am    Post subject: Reply with quote

Bonjour sebB et kwenspc

Effectivement sebB j'ai eu un tas de conflits à propos des modules de Perl avant d'accepter la modification avec des ~x86 pour le packages.keywords

Et c'est vrai kwenspc que ce n'est pas comme si le système avait été laissé à l'abandon plusieurs années ; loin de là.

Je n'aime pas les ~x86 car ça m'évoque une instabilité potentielle. Je cherche encore à remettre les modules Perl en "stable" mais ce n'est pas pressé.

J'ai réussi à achever le revdep-rebuild et relancer avec le même noyau 3.12.21-gentoo-r1 sans trop de difficultés, hormis la lenteur exaspérante de cet ordi et le paquet webkit-gtk qui refuse d'être compilé après quand je dors ; J'en ai retiré foomatic-gui et pywebkitgtk en plus.

webkit-gtk est toujours mal passé sur ce type de mobo a7n8x-e ; je ne sais plus en détail les conditions de réussite*. Et il est particulièrement long à émerger.
* édition : il me semble me rappeler que le USE jit serait à enlever (?)

C'est un travail intéressant de faire un noyau et un système léger. Pour les adapter à ce matériel.

Le noyau 3.18.12 est compilé avec un simple make olddefconfig prélable avec le .config de l'ancien noyau

J'ai gardé mes interfaces réseau avec leurs anciens noms ; une partie du default/grub :
Code:
GRUB_TIMEOUT=60
GRUB_TIMEOUT_STYLE=menu
GRUB_CMDLINE_LINUX="net.ifnames=0"

J'ai enlevé les drapeaux USE : fuse et pulseaudio ; Je ne comprends pas bien encore les bases de FUSE et le drapeau pulseaudio ne me semble pas nécessaire pour simplement écouter de la musique ou même faire des enregistrements mic ou line-in ; Je ne comprends pas encore bien non plus Pulseaudio.

Donc je vais pouvoir dans quelques temps essayer un amorçage sur le noyau récent. J'espère que ça va passer tout seul ;)
édition :
Code:
gen2 ~ # uname -a
Linux gen2 3.18.12-gentoo #1 Tue May 19 08:05:31 CEST 2015 i686 AMD Athlon(tm) XP 3200+ AuthenticAMD GNU/Linux
Quote:
3.18.12-gentoo #1 Tue May 19 08:05:31 CEST 2015 Kernel .config

Il va être sympa d'y mettre un envoi d'email sur le statut du raid et également cups après


Last edited by pti-rem on Sun May 24, 2015 7:51 am; edited 2 times in total
Back to top
View user's profile Send private message
pti-rem
Guru
Guru


Joined: 14 Oct 2011
Posts: 309
Location: Aquitaine FRANCE

PostPosted: Fri May 22, 2015 7:30 am    Post subject: Reply with quote

kwenspc wrote:
... Et passe à systemd aussi par la même occasion si t'en as envie

J'ai fait une petite tentative de systemd avec mon portable avant de le passer sous Seven et j'avoue avoir été complètement largué ou presque.
Si d'aventure je voulais utiliser systemd - il dispose certainement de qualités et d'avantages - je le ferai au préalable sur mon micro serveur n40l.
Mais j'en ai pas envie vraiment ou plutôt pas vraiment le temps. Et je suis tellement habitué à openrc ...
Et je ne vois pas ce que systemd peut apporter à une ancienne machine pour laquelle les usages sont très limités ; je pense que c'est énormément de boulot entre la mise en place et l'apprentissage pour la maintenance, sans compter une prise de risque de disfonctionnement ou de plantage accrue ?
Back to top
View user's profile Send private message
pti-rem
Guru
Guru


Joined: 14 Oct 2011
Posts: 309
Location: Aquitaine FRANCE

PostPosted: Fri May 22, 2015 7:50 am    Post subject: Reply with quote

J'ai testé deux logiciels de bureau à distance : x2go et plus récemment teamviewer ;

x2go fonctionne bien hormis quelques points :

- Pas de visu du pointeur de souris de l'autre ; J'ai placé l'accessibilité de la souris pour la repérer avec un appui sur CTRL
- Pas de presse-papier partagé malqré la configuration pour. C'est un réel souci. Je vais essayer d'utiliser Pushbullet pour Firefox.

édition : Pushbullet semble convenir.

x2goserver (net-misc/x2goserver-4.0.1.12::gentoo USE="doc fuse sqlite -postgres") est très léger pour la machine, contrairement à teamviewer (net-misc/teamviewer-9.0.32150:9::gentoo USE="(-system-wine)" qui lui retire directement plus de 75% des ressources cpu sans rien faire, juste pour la liaison ; la commande X pompe un max ;)

Je laisse tomber teamviewer9d pour cette machine.

Évidemment, avec une liaison ADSL même bonne et une qualité graphique améliorée, x2go reste très lent : il faut veiller à attendre des poignées de secondes après chaque clic ; suivant l'opération demandée.


Last edited by pti-rem on Fri May 22, 2015 1:32 pm; edited 1 time in total
Back to top
View user's profile Send private message
Oupsman
Veteran
Veteran


Joined: 19 Jul 2004
Posts: 1042

PostPosted: Fri May 22, 2015 8:14 am    Post subject: Reply with quote

J'utilise x2go pour prendre la main à distance sur une VM linux en cas de besoin, et je trouve qu'à partir du moment ou on règle correctement les paramètres de la liaison, ça fonctionne bien. Dans le client x2go, il y'a moyen de sélectionner le type de liaison. Effectivement, quand on laisse "LAN" et qu'on est sur une liaison ADSL, ça rame. Mais si on met ADSL, je trouve que ça fonctionne relativement bien quand même.
_________________
--
L'idéal de nouveauté semble avoir remplacé l'idéal de progrès. C'est bien triste.

----
Unix philosophy: "Do one thing and do it well."
systemd: "Try to do everything and do it wrong."
Back to top
View user's profile Send private message
kwenspc
Advocate
Advocate


Joined: 21 Sep 2003
Posts: 4954

PostPosted: Fri May 22, 2015 1:25 pm    Post subject: Reply with quote

pti-rem wrote:
Et je suis tellement habitué à openrc ...

Tout comme moi avant de passer à systemd

pti-rem wrote:

Et je ne vois pas ce que systemd peut apporter à une ancienne machine pour laquelle les usages sont très limités ; je pense que c'est énormément de boulot entre la mise en place et l'apprentissage pour la maintenance, sans compter une prise de risque de disfonctionnement ou de plantage accrue ?

C'était juste une idée. Vieille machine ou récente, faudra de toute manière y passer :lol:
Sinon le howto gentoo pour y passer est très clair, ça prend 15min et c'est finit après.
Back to top
View user's profile Send private message
pti-rem
Guru
Guru


Joined: 14 Oct 2011
Posts: 309
Location: Aquitaine FRANCE

PostPosted: Fri May 22, 2015 1:26 pm    Post subject: Reply with quote

Oupsman wrote:
J'utilise x2go pour prendre la main à distance sur une VM linux en cas de besoin, et je trouve qu'à partir du moment ou on règle correctement les paramètres de la liaison, ça fonctionne bien. Dans le client x2go, il y'a moyen de sélectionner le type de liaison. Effectivement, quand on laisse "LAN" et qu'on est sur une liaison ADSL, ça rame. Mais si on met ADSL, je trouve que ça fonctionne relativement bien quand même.


Je suis d'accord* avec toi hormis les deux curseurs de souris et le presse-papier ; qu'en est-t'il de ces deux points pour toi Oupsman ?
Je parle d'une session "Shadow" je crois ; avec comme commande de lancement "Connexion au bureau local"
*J'ai une charge en ftp de 850 kB/s en cours sur 15 h encore : d'où la lenteur évoquée. Et aussi une session graphique 16m-png-jpeg qui me permet de bien lire au détriment de la réactivité réseau.


Last edited by pti-rem on Fri May 22, 2015 1:53 pm; edited 1 time in total
Back to top
View user's profile Send private message
pti-rem
Guru
Guru


Joined: 14 Oct 2011
Posts: 309
Location: Aquitaine FRANCE

PostPosted: Fri May 22, 2015 1:29 pm    Post subject: Reply with quote

kwenspc wrote:
Vieille machine ou récente, faudra de toute manière y passer :lol:

Donc openrc c'est fini basta ? Plus d'évolution ou de maintenance ?
Pourquoi je vais être obligé d'y passer de toute manière ?
Je ne suis pas contre mais je souhaite comprendre.
kwenspc wrote:
Sinon le howto gentoo pour y passer est très clair

Je veux bien un lien ; je n'ai que : https://wiki.gentoo.org/wiki/Systemd
Back to top
View user's profile Send private message
kwenspc
Advocate
Advocate


Joined: 21 Sep 2003
Posts: 4954

PostPosted: Fri May 22, 2015 1:59 pm    Post subject: Reply with quote

pti-rem wrote:
kwenspc wrote:
Vieille machine ou récente, faudra de toute manière y passer :lol:

Donc openrc c'est fini basta ? Plus d'évolution ou de maintenance ?
Pourquoi je vais être obligé d'y passer de toute manière ?
Je ne suis pas contre mais je souhaite comprendre.

Si c'est maintenu, mais faut bien dire ce qui est: maintenir un vieux truc quand à côté t'as quelque chose qui fonctionne tout seul (= pas maintenu par la distro).
Et puis ça unifie les services et leur gestion entre toutes distros (serieux c'est hyper simple de passer de l'une à l'autre pour ça maintenant!)

pti-rem wrote:
kwenspc wrote:
Sinon le howto gentoo pour y passer est très clair

Je veux bien un lien

https://wiki.gentoo.org/wiki/Systemd
Back to top
View user's profile Send private message
pti-rem
Guru
Guru


Joined: 14 Oct 2011
Posts: 309
Location: Aquitaine FRANCE

PostPosted: Fri May 22, 2015 2:07 pm    Post subject: Reply with quote

Okay et merci kwenspc
Je ne vais pas jouer l'archaïque, le vieux bouc ou le buté ;)
Tes arguments sont convaincants et je vais donc le faire sur mon n40l d'abord.
Le seul petit souci, c'est d'apprendre à nouveau ... mais c'est une bonne cause.
Quoique je lis aussi quelques anti ; un vrai mouvement il me semble.
Bref ... Merci encore. Ce sujet me semble clos pour ce fil.
Back to top
View user's profile Send private message
SwordArMor
n00b
n00b


Joined: 21 Feb 2015
Posts: 55
Location: Bretagne

PostPosted: Sat May 23, 2015 1:30 pm    Post subject: Reply with quote

kwenspc wrote:
pti-rem wrote:
Et je suis tellement habitué à openrc ...

Tout comme moi avant de passer à systemd

pti-rem wrote:

Et je ne vois pas ce que systemd peut apporter à une ancienne machine pour laquelle les usages sont très limités ; je pense que c'est énormément de boulot entre la mise en place et l'apprentissage pour la maintenance, sans compter une prise de risque de disfonctionnement ou de plantage accrue ?

C'était juste une idée. Vieille machine ou récente, faudra de toute manière y passer :lol:
Sinon le howto gentoo pour y passer est très clair, ça prend 15min et c'est finit après.


Pour ma part je suis passé à gentoo justement pour éviter le systemd de debian.
Je ne vois vraiment pas ce qu’il peut m’apporter, surtout par rapport à OpenRC. Je suis d’accord que sysv-rc a ses défauts (notamment au niveau de la compréhension des différents runlevels et leur signification différente en fonction des distriutions), mais OpenRC les règle.
De plus, comme tout nouveau programme de cette ampleur, il pose quelques problèmes (entre autre avec LXC), donc je préfère rester avec un truc fonctionnel à 100 % ;)
Back to top
View user's profile Send private message
pti-rem
Guru
Guru


Joined: 14 Oct 2011
Posts: 309
Location: Aquitaine FRANCE

PostPosted: Sun May 24, 2015 5:25 am    Post subject: Reply with quote

Bonjour SwordArMor et merci à toi de rééquilibrer la balance et pour le respect dans l'écriture (OpenRC, sysv-rc ...)

D'après 8 Great Paint Programs for Linux

J'ai installé Pinta sans difficultés

Par contre pour F-Spot - duquel j'ai un bon souvenir - c'est bien plus difficile ; Un tas de (vieilles ?) dépendances Gnome en partant du .tar.gz
Quote:
The most recent version of F-Spot is 0.8.2, released December 19, 2010.

J'aimerai bien l'installer

Aussi, je n'ai pas le sommaire de l'aide (F1) de mate-dictionary ; Je vois que mes F1 des applis mate-* ne sont pas capables.
Un message d'erreur disant :
Quote:
" Il y a eu une erreur lors de l'affichage de l'aide "
" L'emplacement indiqué n'est pas pris en charge "

C'est tout le système d'aide de MATE qui ne fonctionne pas : Système / Aide ne lance ni ne signale rien ...
L'aide de Caja me montre un symbole "sens interdit" en plus du message ; ça me fait penser à un problème de droits

Également, un système documentaire en web local pour man, info et tout ce qui peut s'apparenter à de la documentation locale m'intéresse à mettre en place ; Je ne vois pas comment faire ... déjà man2html n'existe plus

Je cherche aussi une calculatrice à grosses touches (l'affichage est en 1600x1200)
Back to top
View user's profile Send private message
kwenspc
Advocate
Advocate


Joined: 21 Sep 2003
Posts: 4954

PostPosted: Mon May 25, 2015 3:34 pm    Post subject: Reply with quote

SwordArMor wrote:

De plus, comme tout nouveau programme de cette ampleur, il pose quelques problèmes (entre autre avec LXC), donc je préfère rester avec un truc fonctionnel à 100 % ;)

Si tu travailles pour de la mise en prod spécifique sur serveur, mieux vaut être conservateur pour le moment et attendre la stabilisation.

Mais sinon sur desktop & co, j'y suis passé.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum